/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2005-2006 EBM WebSourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id: OrchestraException.java, v 1.1 31 ao�t 07 11:52:47 lam Exp $
 * -------------------------------------------------------------------------
 */

package org.ow2.petals.engine.orchestra;

import org.ow2.petals.component.framework.exception.PEtALSCDKException;

/**
 * The Orchestra exception class
 * 
 * @author Nicolas SALATGE - eBMWebSourcing
 * 
 */
public class OrchestraException extends PEtALSCDKException {

    /**
     * the serialVersionUID
     */
    private static final long serialVersionUID = 1L;

    /**
     * Default constructor
     * 
     * @param msg
     *            the msg exception
     */
    public OrchestraException(final String msg) {
        super(msg);
    }

    /**
     * Constructor
     * 
     * @param message
     *            the message
     * @param cause
     *            the cause
     */
    public OrchestraException(final String message, final Throwable cause) {
        super(message, cause);
    }

    /**
     * Constructor
     * 
     * @param cause
     *            the cause
     */
    public OrchestraException(final Throwable cause) {
        super(cause);
    }

}
