/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2006 EBM Websourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id$
 * -------------------------------------------------------------------------
 */

package org.ow2.petals.engine.orchestra.listener;

import javax.jbi.messaging.MessagingException;

import org.ow2.petals.component.framework.listener.AbstractJBIListener;
import org.ow2.petals.component.framework.util.Exchange;
import org.ow2.petals.engine.orchestra.OrchestraEngine;
import org.ow2.petals.engine.orchestra.OrchestraException;
import org.ow2.petals.engine.orchestra.OrchestraService;

/**
 * This class implements the JBI listener for orchestra engine
 * 
 * @author Nicolas SALATGE - eBMWebSourcing
 * 
 */
public final class JBIListener extends AbstractJBIListener {

    /**
     * The orchestra service
     */
    private OrchestraService orchestraService;

    /**
     * The default constructor
     */
    public JBIListener() {

    }

    /**
     * (non-Javadoc)
     * 
     * @see org.ow2.petals.component.common.listener.AbstractListener#init()
     */
    @Override
    protected void init() {
        this.orchestraService = ((OrchestraEngine) this.getComponent()).getOrchestra();
    }

    /**
     * (non-Javadoc)
     * 
     * @param exchange
     *            the exchange
     * @see org.ow2.petals.component.common.listener.AbstractJBIListener#onJBIMessage(org.ow2.petals.component.common.util.MessageExchangeWrapper)
     */
    @Override
    public void onJBIMessage(final Exchange exchange) {
        try {
            this.orchestraService.launchProcess(exchange, this);
        } catch (final OrchestraException e) {
            exchange.setError(e);
        } catch (final MessagingException e) {
            exchange.setError(e);
        }
    }
}
